Package be.fgov.ehealth.rn.baselegaldata.v1

# Class AddressDeclarationType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.AddressDeclarationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class AddressDeclarationType extends Object implements Serializable

Java class for AddressDeclarationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ResidentialAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ForeignAddressDeclarationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressDeclarationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ForeignAddressDeclarationType`
  `getResidentialAddress()`
  Gets the value of the residentialAddress property.
  `void`
  `setResidentialAddress(ForeignAddressDeclarationType value)`
  Sets the value of the residentialAddress property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressDeclarationType

    public AddressDeclarationType()

- ## Method Details

  - ### getResidentialAddress

    public ForeignAddressDeclarationType getResidentialAddress()
    Gets the value of the residentialAddress property.
    Returns:
      possible object is `ForeignAddressDeclarationType`

  - ### setResidentialAddress

    public void setResidentialAddress(ForeignAddressDeclarationType value)
    Sets the value of the residentialAddress property.
    Parameters:
      `value` - allowed object is `ForeignAddressDeclarationType`